namespace FitConnect;

/// <summary>
///     This class contains all security related methods that can be changed due to future
///     security issues or decisions from the BSI.
/// </summary>
internal static class ProjectSpecification {
    public const int MaxCallbackAge = 5;
    public const char TokenSeparator = '.';
    public const string CallbackTimestamp = "callback-timestamp";
    public const string CallbackAuthentication = "callback-authentication";
    public const string PackageVersion = "local-build";
    public const string CommitId = "unreleased";

    public const string SetJsonSchemaUrl =
        "https://schema.fitko.de/fit-connect/set-payload/1.1.0/set-payload.schema.json";
}
