using FitConnect.Models;
using Microsoft.AspNetCore.Http;

namespace FitConnect.Interfaces;

public interface IFitConnectClient {


    public bool ValidateCallback(string callbackSecret, HttpRequest request) =>
        FitConnectClient.ValidateCallback(callbackSecret, request);

    public bool ValidateCallback(string hmac, string callbackSecret, long timestamp, string httpBody) =>
        FitConnectClient.ValidateCallback(hmac, callbackSecret, timestamp, httpBody);
}
